# Google OAuth2 API

## Instance Methods

Returns the userinfo Resource.

A description of how to use this function

### Method Details

`tokeninfo(access_token=None, id_token=None)`

    A description of how to use this function

    Args:
      access_token: string, A parameter
      id_token: string, A parameter

    Returns:
      An object of the form:

        {
        "issued_to": "A String", # To whom was the token issued to. In general the same as audience.
        "user_id": "A String", # The Gaia obfuscated user id.
        "expires_in": 42, # The expiry time of the token, as number of seconds left until expiry.
        "access_type": "A String", # The access type granted with this token. It can be offline or online.
        "audience": "A String", # Who is the intended audience for this token. In general the same as issued_to.
        "scope": "A String", # The space separated list of scopes granted to this token.
        "email": "A String", # The email address of the user. Present only if the email scope is present in the request.
        "verified_email": True or False, # Boolean flag which is true if the email address is verified. Present only if the email scope is present in the request.
      }